<script>
	export default {
		onLaunch: function() {
			// if (typeof WeixinJSBridge == 'object' && typeof WeixinJSBridge.invoke == 'function') {
			// 	handleFontSize();
			// } else {
			// 	document.addEventListener('WeixinJSBridgeReady', handleFontSize, false);
			// }
			// function handleFontSize() {
			// 	// 设置网页字体为默认大小
			// 	WeixinJSBridge.invoke('setFontSizeCallback', { fontSize: 0 });
			// 	// 重写设置网页字体大小的事件
			// 	WeixinJSBridge.on('menu:setfont', function() {
			// 		WeixinJSBridge.invoke('setFontSizeCallback', { fontSize: 0 });
			// 	});
			// }
		},
		onShow(){
			uni.getClipboardData({
				success: res=> {
					if(res.data.indexOf('$InviTaTiOn$CoDe/$-?') === 2){
						this.globalData.parentId = res.data.replace('$InviTaTiOn$CoDe/$-?', '')
					}
				},
				fail(err) {
					console.log(err)
				}
			})
		},
		onHide: function() {
			console.log('App Hide')
		},
		globalData:{
			parentId: ""
		}
	}
</script>

<style>
	page{
		background: #F5F5F5;
		-webkit-text-size-adjust: 100% !important;
	}
</style>

<style lang="scss">
	@import "uview-ui/index.scss";
</style>
